###############常用配置项###############
server:
    port: 9191
    maxHttpHeaderSize: 102400
log:
    file:
#        path: C:\Users\89346\Desktop\
        path: C:\workspace\logs
#        path: /data/dyqd_app4/server-sr
        name: da.log
datasource:
    url: 124.70.58.209:1122/dc_test
    username: admin
    password: 106aD>>ql95K5S
###############常用配置项###############
spring:
    cloud:
        loadbalancer: 
            retry: 
                enabled: true
    application:
        name: da
    jmx: 
        enabled: false
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.jdbc.Driver
        url: jdbc:mysql://${datasource.url}?characterEncoding=utf8&useSSL=false
        username: ${datasource.username}
        password: ${datasource.password}
        initialSize: 5                             #初始化大小
        minIdle: 5                                 #最小
        maxActive: 20                              #最大
        maxWait: 60000                             #获取连接等待超时的时间
        timeBetweenEvictionRunsMillis: 60000       #间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        minEvictableIdleTimeMillis: 300000         #一个连接在池中最小生存的时间，单位是毫秒
        validationQuery: SELECT 1 FROM DUAL
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        poolPreparedStatements: false               #打开PSCache，并且指定每个连接上PSCache的大小
        maxPoolPreparedStatementPerConnectionSize: -1
        filters: slf4j
        connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000  #通过connectProperties属性来打开mergeSql功能；慢SQL记录
        useGlobalDataSourceStat: true              #合并多个DruidDataSource的监控数据
logging:
    config: classpath:logback-spring.xml
    level:
        com.ozs.mdmManager.mapper: DEBUG
mybatis:
    configuration:
        mapUnderscoreToCamelCase: true
    mapper-locations: classpath:mapper/*.xml
pagehelper:
    helper-dialect: mysql
    reasonable: true
    support-methods-arguments: true
    params: count=countSql
ribbon:
    ReadTimeout: 1800000
    ConnectTimeout: 1800000
    MaxAutoRetries: 3
    MaxAutoRetriesNextServer: 0
    eureka:
        enabled: true
eureka:
    instance:
        leaseRenewalIntervalInSeconds: 1
        leaseExpirationDurationInSeconds: 5
    client:
        healthcheck:
            enabled: true
hystrix:
    command:
        default:
            execution:
                timeout:
                    enabled: false
        isolation:
            thread:
                timeoutInMilliseconds: 6000000
feign:
    client:
        config:
            default:
                connectTimeout: 1800000
                readTimeout: 1800000
    hystrix:
        enabled: false
